<?php

/**
 * Phire Check Themes
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Check for new themes

$docRoots = array();
$curThemes = array();
$newThemes = array();

$sess = Moc10_Session::getInstance();

if (isset($sess->sites)) {

    foreach ($sess->sites as $id) {
        $site = new Phire_Table_Sites();
        $site->findById($id);
        $docRoots[] = array($id, $site->site_docroot);
    }

    $site_ids = array();
    foreach ($sess->sites as $value) {
        $site_ids[] = "site_id = '" . $value . "'";
    }
    $sql = "SELECT * FROM " . DB_PREFIX . "themes WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

    $themes = new Phire_Table_Themes();
    $themes->execute($sql);

    if (isset($themes->rows[0])) {
        foreach ($themes->rows as $theme) {
            $curThemes[] = $theme->theme_file;
        }
    }

    foreach ($docRoots as $docroot) {

        $dir = new Moc10_File_Dir($docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/themes');

        if (isset($dir->files[0])) {
            foreach ($dir->files as $fle) {
                if (!is_dir($docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $fle) && (!in_array($fle, $curThemes)) && ($fle != 'index.html')) {
                    $newThemes[] = array($docroot[0], $docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/themes/', $fle);
                }
            }
        }

    }

}

?>
