<?php

/**
 * Phire Confirm Theme Removal
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Get theme ids from $_POST array.
$rm_themes = array();
$rm_themes = $_POST['rm_themes'];

try {

    if (isset($rm_themes[0])) {

        $theme_list = '';

        // Set theme checkbox removal tables.
        foreach ($rm_themes as $value) {
            $theme = new Phire_Table_Themes();
            $theme->findById($value);
            $templates = "<ul id=\"themeList\">";
            if ($theme->templates != '') {
                $tmplAry = array();
                $tmplAry = explode('|', $theme->templates);
                if (count($tmplAry) > 0) {
                    foreach ($tmplAry as $id) {
                        $tmpl = new Phire_Table_Templates();
                        $tmpl->findById($id);
                        $templates .= "<li>{$tmpl->template_name}</li>";
                    }
                }
            } else {
                $templates .= "<li>(No Assigned Templates)</li>";
            }
            $templates .= "</ul>";
            $theme_list .= "                        <table cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0; padding: 0;\"><tr style=\"margin: 0; padding: 0;font-size: 1.0em; border: none;\"><td style=\"margin: 0; padding: 2px; font-size: 1.0em; border: none; vertical-align: top;\"><input style=\"float: right;\" type=\"checkbox\" class=\"checkBox\" name=\"rm_themes[]\" value=\"{$value}\" /></td><td style=\"margin: 0; padding: 7px 2px 2px 2px; font-size: 1.0em; border: none; vertical-align: top;\"><strong class=\"error\">{$theme->theme_name}</strong><br />{$templates}</td></tr></table>\n";
        }

        $confirm = $lang->__('Confirm Theme Removal');
        $selected = $lang->__('You have selected to remove the following themes.');
        $undone = $lang->__('This action cannot be undone%1 and will %2permanently delete%3 the theme(s)%4and all related assets, including templates and files.', array("</strong>", "<strong class=\"error\">", "</strong>", "<br />"));
        $cancel = $lang->__('CANCEL');
        $removal = $lang->__('Confirm Removal');

        // Print the confirmation table.
        print <<<TABLE
        <form id="themesForm" action="../core/process/remove.themes.php" method="post" onsubmit="return themesFrm.checkValidate('theme', true);">
            <table id="removeTable" cellpadding="0" cellspacing="0">
                <tr><td class="redTableHeader" style="margin: 0; padding: 0 0 0 25px;"><strong>{$confirm}</strong></td></tr>
                <tr>
                    <td style="padding: 25px;">
                        <h3 style="margin: 0; padding: 0 0 15px 0; color: #7f0000; font-size: 1.4em;">{$selected}</h3><p style="font-size: 1.2em;"><strong class="error">{$undone}</p><br />
{$theme_list}
                    </td>
                </tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><a style="margin: 0 0 0 20px; padding-top: 6px; height: 19px; font-size: 0.825em; float: right;" class="submitGrayBtn" href="./themes.php">{$cancel}</a> <input style="float: right;" type="submit" class="submitRedBtn" value="{$removal}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            themesFormInit();
        </script>

TABLE;

    } else {

        header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/themes.php');

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
