<?php

/**
 * Phire Get Content Types
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$int_sort_id = 'type_id';
require_once '../core/process/calculate.sort.php';

try {

    $types = new Phire_Table_ContentTypes();
    $types->findAll($sort);

    $back = $lang->__('Back to Configuration');
    $name = $lang->__('Name');
    $cont = $lang->__('Content Type');
    $remove = $lang->__('Remove?');

    // Print the table header.
    print <<<TABLEHEADER
        <form id="typesForm" action="../core/process/update.content.types.php" method="post" onsubmit="return typesFrm.typesValidate();">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, typesFrm, 'rm_types', Array('3001', '3002'));" />&lt;&lt;&lt; <a class="orangeLink" href="./configuration.php"> {$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                <tr><td class="grayHeader" style="padding: 0; width: 8%; text-align: center;"><a class="grayLink" href="./edit-content-types.php?sort=type_id">ID #</a></td><td class="grayHeader" style="width: 42%; padding: 0; text-align: left;"><a class="grayLink" href="./edit-content-types.php?sort=type_name">{$name}</a></td><td class="grayHeader" style="padding: 0; text-align: left; width: 42%;"><a class="grayLink" href="./edit-content-types.php?sort=type">{$cont}</a></td><td class="grayHeader" style="padding: 0; width: 8%; text-align: center;"><strong>{$remove}</strong></td></tr>

TABLEHEADER;

    if (isset($types->rows[0])) {

        $id = null;

        // Iterate through each content type, formatting and printing it to a row.
        foreach ($types->rows as $typ) {

            $type_name = Moc10_String::setString($typ->type_name)->strip()->html();
            $type = Moc10_String::setString($typ->type)->strip()->html();

            if (($typ->type_id == '3001') || ($typ->type_id == '3002')) {
                $removeCheck = " disabled=\"disabled\"";
            } else {
                $removeCheck = "";
            }

            print("                <tr><td style=\"text-align: center;\">{$typ->type_id}</td><td><input style=\"font-size: 1.0em;\" type=\"text\" name=\"type_name_{$typ->type_id}\" value=\"{$type_name}\" size=\"50\"{$removeCheck} /></td><td><input style=\"font-size: 1.0em;\" type=\"text\" name=\"type_{$typ->type_id}\" value=\"{$type}\" size=\"50\"{$removeCheck} /></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_types{$id}\" name=\"rm_types[]\" value=\"{$typ->type_id}\"{$removeCheck} /></td></tr>\n");
            $id++;

        }

    // Else, print a no result row.
    } else {
        print("            <tr><td colspan=\"4\" style=\"padding: 25px;\">" . $lang->__('There are currently no content types.') . "</td></tr>\n");
    }

    $update = $lang->__('Update');
    $add = $lang->__('Add');

    // Print the table footer.
    print <<<TABLEFOOTER
                <tr style="margin: 0; padding: 5px 0 5px 0;"><td style="margin: 0; padding: 5px 0 5px 0; text-align: center;"><strong>{$add} [+]</strong></td><td style="padding: 5px 0 5px 0;"><input style="font-size: 1.0em;" type="text" name="type_name_new" value="" size="50" /></td><td style="padding: 5px 0 5px 0;"><input style="font-size: 1.0em;" type="text" name="type_new" value="" size="50" /></td><td style="text-align: center;">&nbsp;</td></tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtn" value="{$update}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            typesFormInit();
        </script>

TABLEFOOTER;

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
