<?php

/**
 * Phire Get Feeds
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Feed');
$ste = $lang->__('Site');
$fd_tle = $lang->__('Feed Title');
$fd_url = $lang->__('Feed URL');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'feed_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><a class=\"grayLink\" href=\"./feeds.php?sort=feed_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 12%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./feeds.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./feeds.php?sort=feed_title\">{$fd_tle}</a> (Click to Edit)</td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./feeds.php?sort=feed_url\">{$fd_url}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $feeds = new Phire_Table_Feeds();

    // Build the SQL query for the feeds based on the values passed and the session data set.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "feeds WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        // Execute the SQL query.
        $feeds->execute($sql);

    }

    if (isset($feeds->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="feedsForm" action="../core/process/remove.feeds.php" method="post" onsubmit="return feedsFrm.checkValidate('feed', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, feedsFrm, 'rm_feeds');" /><a class="orangeLink" href="./add-feed.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each feed, formatting and printing it into a row.
        foreach ($feeds->rows as $feed) {

            $site = new Phire_Table_Sites();
            $site->findById($feed->site_id);

            $feed_title = Moc10_String::setString($feed->feed_title)->strip()->html();
            print("                <tr><td style=\"text-align: center;\">{$feed->feed_id}</td><td>{$site->site_domain}</td><td><a href=\"./edit-feed.php?fid={$feed->feed_id}\">{$feed_title}</a></td><td>{$feed->feed_url}</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../core/process/copy.feed.php?fid={$feed->feed_id}\" title=\"Copy Feed\"><span class=\"hide\">Copy Feed</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_feeds{$id}\" name=\"rm_feeds[]\" value=\"{$feed->feed_id}\" /></td></tr>\n");
            $id++;

        }

        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            feedsFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nofeeds = $lang->__('There are currently no feeds.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-feed.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="6" style="padding: 25px;">{$nofeeds}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
