<?php

/**
 * Phire Remove Sections
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the sections to remove.
    $rm_sects = array();
    $rm_sects = $_POST['rm_sects'];

    if (isset($rm_sects[0])) {

        foreach ($rm_sects as $value) {

            $val = (string)Moc10_String::setString($value)->escape(true)->striptags();

            // Update all assets related to the removed section and delete the section.
            $files = new Phire_Table_Files();
            $files->execute("UPDATE " . DB_PREFIX . "files SET section_id = 0 WHERE section_id = '" . $val . "'");

            $imgs = new Phire_Table_Images();
            $imgs->execute("UPDATE " . DB_PREFIX . "images SET section_id = 0 WHERE section_id = '" . $val . "'");

            $evts = new Phire_Table_Events();
            $evts->execute("UPDATE " . DB_PREFIX . "events SET section_id = 0 WHERE section_id = '" . $val . "'");

            $pages = new Phire_Table_Pages();
            $pages->execute("UPDATE " . DB_PREFIX . "pages SET section_id = 0 WHERE section_id = '" . $val . "'");

            $sects = new Phire_Table_Sections();
            $sects->execute("UPDATE " . DB_PREFIX . "sections SET parent_section_id = 0 WHERE parent_section_id = '" . $val . "'");

            $sect = new Phire_Table_Sections();
            $sect->findById($val);
            $sect->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'content/sections.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'content/sections.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
