<?php

/**
 * Phire Mobile Assets Edit Image
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

if (!isset($_GET['iid'])) {

    header('Location: ./images.php');

} else {

    // Get the user data.
    $image = new Phire_Table_Images();
    $image->findById($_GET['iid']);

    if ((!isset($image->image_id)) || (!in_array($image->site_id, $sess->sites)) || (($sess->access != 'Admin') && ($sess->open_authoring[$image->site_id] == 'Off') && ($image->user_id != 0) && ($sess->user_id != $image->user_id))) {

        header('Location: ./images.php');

    } else {

?>
        <br />
        <h3 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Images'); ?> &gt; <?php print($image->image_name); ?></h3>
<?php

        // Check if an edit file form has been submitted and has returned with errors.
        if (isset($sess->edit_image_form)) {

            try {

                if (isset($sess->image_error)) {
                    print($sess->image_error);
                }

                $sess->edit_image_form->render();

            } catch (Exception $e) {

                unset($sess->edit_image_form);

                $form = new Phire_Form_EditImage('../../core/process/edit.image.php?iid=' . $image->image_id, 'post', '        ');
                $form->init(array('mobile' => 'true', 'image_id' => $image->image_id));
                $form->render();

            }

        // Else, initialize and render a new edit file form.
        } else {

            $form = new Phire_Form_EditImage('../../core/process/edit.image.php?iid=' . $image->image_id, 'post', '        ');
            $form->init(array('mobile' => 'true', 'image_id' => $image->image_id));
            $form->render();

        }

        include_once '../../core/includes/mobile/footer.php';

    }

}

?>